[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

broken yum-kernel-module-1.1.1-1.fc7



I'm running the test release of F7. The yum-kernel-module plugin appears to be broken. If I disable that plugin, the error disappears.

# yum update
Loading "kernel-module" plugin
Loading "changelog" plugin
Loading "refresh-updatesd" plugin
Loading "installonlyn" plugin
Loading "fedorakmod" plugin
Loading "skip-broken" plugin
Loading "fastestmirror" plugin
Loading "tsflags" plugin
Loading "priorities" plugin
Loading "allowdowngrade" plugin
Loading "protectbase" plugin
Loading "downloadonly" plugin
Loading mirror speeds from cached hostfile
Setting up Update Process
0 packages excluded due to repository priority protections
0 packages excluded due to repository protections
Resolving Dependencies
Traceback (most recent call last):
  File "/usr/bin/yum", line 29, in <module>
    yummain.main(sys.argv[1:])
  File "/usr/share/yum-cli/yummain.py", line 135, in main
    (result, resultmsgs) = base.buildTransaction()
File "/usr/lib/python2.5/site-packages/yum/__init__.py", line 536, in buildTransaction
    self.plugins.run('preresolve')
  File "/usr/lib/python2.5/site-packages/yum/plugins.py", line 153, in run
    func(conduitcls(self, self.base, conf, **kwargs))
  File "/usr/lib/yum-plugins/kernel-module.py", line 60, in preresolve_hook
    instpkgs = conduit.getRpmDB().getPackages()
AttributeError: 'RPMDBPackageSack' object has no attribute 'getPackages'
Unable to send message to yum-updatesd


--
Florin Andrei

http://florin.myip.org/


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]